summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-06-27 19:40:52 +0000
committer Eric Hameleers <alien@slackware.com>2018-06-28 09:00:32 +0200
commit233fc224df15f411fad82cafffa1fb5caa79ec03 (patch)
treef5c1918b45c5db9ca2dd10475327ce00e664800b /source
parent63f56cc135f65b25d924c16f959a8819e55740d9 (diff)
downloadcurrent-233fc224df15f411fad82cafffa1fb5caa79ec03.tar.gz
current-233fc224df15f411fad82cafffa1fb5caa79ec03.tar.xz
Wed Jun 27 19:40:52 UTC 201820180627194052
ap/texinfo-6.5-x86_64-5.txz: Rebuilt. Fixed unescaped left brace warning from perl-5.28.0. l/gdbm-1.16-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rwxr-xr-xsource/ap/texinfo/texinfo.SlackBuild5
-rw-r--r--source/ap/texinfo/texinfo.fix.unescaped.left.brace.diff16
-rw-r--r--source/l/FTBFSlog6
-rwxr-xr-xsource/l/glibc/glibc.SlackBuild4
-rw-r--r--source/l/glibc/glibc.libc.texinfo.no.utf8.patch25
5 files changed, 55 insertions, 1 deletions
diff --git a/source/ap/texinfo/texinfo.SlackBuild b/source/ap/texinfo/texinfo.SlackBuild
index 62d580e57..4d7784cea 100755
--- a/source/ap/texinfo/texinfo.SlackBuild
+++ b/source/ap/texinfo/texinfo.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=texinfo
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -81,6 +81,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix for perl-5.28.0:
+zcat $CWD/texinfo.fix.unescaped.left.brace.diff.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
diff --git a/source/ap/texinfo/texinfo.fix.unescaped.left.brace.diff b/source/ap/texinfo/texinfo.fix.unescaped.left.brace.diff
new file mode 100644
index 000000000..84dacb3b3
--- /dev/null
+++ b/source/ap/texinfo/texinfo.fix.unescaped.left.brace.diff
@@ -0,0 +1,16 @@
+--- ./tp/Texinfo/Parser.pm.orig 2017-09-12 13:49:03.000000000 -0500
++++ ./tp/Texinfo/Parser.pm 2018-06-27 13:14:33.982547765 -0500
+@@ -5478,11 +5478,11 @@
+ }
+ } elsif ($command eq 'clickstyle') {
+ # REMACRO
+- if ($line =~ /^\s+@([[:alnum:]][[:alnum:]\-]*)({})?\s*/) {
++ if ($line =~ /^\s+@([[:alnum:]][[:alnum:]\-]*)(\{})?\s*/) {
+ $args = ['@'.$1];
+ $self->{'clickstyle'} = $1;
+ $remaining = $line;
+- $remaining =~ s/^\s+@([[:alnum:]][[:alnum:]\-]*)({})?\s*(\@(c|comment)((\@|\s+).*)?)?//;
++ $remaining =~ s/^\s+@([[:alnum:]][[:alnum:]\-]*)(\{})?\s*(\@(c|comment)((\@|\s+).*)?)?//;
+ $has_comment = 1 if (defined($4));
+ } else {
+ $self->line_error (sprintf($self->__(
diff --git a/source/l/FTBFSlog b/source/l/FTBFSlog
index a256e66d4..248604e0b 100644
--- a/source/l/FTBFSlog
+++ b/source/l/FTBFSlog
@@ -1,3 +1,9 @@
+Wed Jun 27 19:03:51 UTC 2018
+ glibc: don't request UTF-8 in libc.texinfo since it is built using
+ LANGUAGE=C LC_ALL=C which are non-UTF-8. This leads to a hang if makeinfo
+ is using perl-5.28.
+ FIXME: look for a way to fix this properly in the texinfo package.
++--------------------------+
Tue Jun 26 09:10:33 UTC 2018
db48: Fix symbol collision in atomic.h with gcc8
glibc: fix FTBFS with gcc8 by adding --disable-werror
diff --git a/source/l/glibc/glibc.SlackBuild b/source/l/glibc/glibc.SlackBuild
index acaadbeae..cbb8f6854 100755
--- a/source/l/glibc/glibc.SlackBuild
+++ b/source/l/glibc/glibc.SlackBuild
@@ -153,6 +153,10 @@ apply_patches() {
zcat $CWD/glibc-c-utf8-locale.patch.gz | patch -p1 --verbose || exit 1
# Linux: use reserved name __key in pkey_get [BZ #22797]:
zcat $CWD/glibc.pkey_get.56170e0.diff.gz | patch -p1 --verbose || exit 1
+ # Don't request UTF-8 in libc.texinfo since it is built using the non-UTF-8
+ # C locale, and that causes a hang. This was exposed by the upgrade to
+ # perl-5.28, but I'm guessing the real bug is in the texinfo package...
+ zcat $CWD/glibc.libc.texinfo.no.utf8.patch.gz | patch -p1 --verbose || exit 1
}
# This is going to be the initial $DESTDIR:
diff --git a/source/l/glibc/glibc.libc.texinfo.no.utf8.patch b/source/l/glibc/glibc.libc.texinfo.no.utf8.patch
new file mode 100644
index 000000000..46788dd8d
--- /dev/null
+++ b/source/l/glibc/glibc.libc.texinfo.no.utf8.patch
@@ -0,0 +1,25 @@
+From b90ec2dc463a134c7d3438c3b9b478fb0a6c5c94 Mon Sep 17 00:00:00 2001
+From: Patrick J. Volkerding <volkerdi@slackware.com>
+Date: Wed Jun 27 18:53:13 UTC 2018
+Subject: [PATCH] Fix hang when locale is not UTF-8
+
+This issue seems to have been exposed by the recent upgrade to perl-5.28.
+If the system supports UTF-8 in general, but makeinfo is called using a
+non-UTF-8 locale (and in this case, glibc calls it with LANG=C), then
+makeinfo will get into an infinite loop and hang. We'll work around this
+by removing the request for UTF-8 in the affected document.
+
+An alternate fix would be to call makeinfo like this instead:
+
+LANGUAGE=C.UTF-8 LC_ALL=C.UTF-8 makeinfo [...]
+
+--- ./manual/libc.texinfo.orig 2018-02-01 10:17:18.000000000 -0600
++++ ./manual/libc.texinfo 2018-06-27 13:34:48.901560769 -0500
+@@ -2,7 +2,6 @@
+ @comment %**start of header (This is for running Texinfo on a region.)
+ @setfilename libc.info
+ @settitle The GNU C Library
+-@documentencoding UTF-8
+ @c '@codequotebacktick on' and '@codequoteundirected on' require
+ @c Texinfo 5.0 or later, so use the older equivalent @set variables
+ @c supported in Texinfo 4.11 and later.